﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HeuristicLab.DataImporter.Data.CommandBase;
using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
using HeuristicLab.DataImporter.Data.Model;
using HeuristicLab.DataImporter.Data;

namespace HeuristicLab.DataImporter.Command {
  [StorableClass]
  public abstract class EquidistantTimeSeriesCommandBase : ColumnGroupCommandBase {
    private EquidistantTimeSeriesCommandBase()
      : base(null, string.Empty) {
    }

    public EquidistantTimeSeriesCommandBase(DataSet dataSet, string columnGroupName)
      : base(dataSet, columnGroupName) {
    }

    [Storable]
    private DateTimeSpan sampleFrequency;
    public DateTimeSpan SampleFrequency {
      get { return this.sampleFrequency; }
      set { this.sampleFrequency = value; }
    }

    [Storable]
    private DateTime startTime;
    public DateTime StartTime {
      get { return this.startTime; }
      set { this.startTime = value; }
    }
  }
}
